Unhide a comment
curl --request DELETE \
--url https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/hide \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/hide', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/hide"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"success": true
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Inbox Comments
Unhide a comment
Restores a previously hidden comment so it is publicly visible again. Supported on Instagram, Facebook, Threads, and YouTube. On Threads, an account connected before 2026-10-17 gets an authorization error until it is reconnected.
DELETE
/
inbox
/
comments
/
{postId}
/
{commentId}
/
hide
Unhide a comment
curl --request DELETE \
--url https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/hide \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/hide', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/inbox/comments/{postId}/{commentId}/hide"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"success": true
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Platform post ID
Platform comment ID to unhide
Query Parameters
Connected account ID
Response
Comment unhidden
Example:
true